Payment links

Toggle Payment Link Status

Activate or deactivate a payment link for the authenticated business.

POST
/api/v1/payment-link/toggle-status

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/payment-link/toggle-status" \  -H "Content-Type: application/json" \  -d '{    "link_id": "019a1639-ce25-70b7-ab20-16fcb2bac023",    "activate": true  }'
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-03-25 09:15:00",
  "message": "Payment link status updated successfully.",
  "statusCode": 200,
  "data": {
    "id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
    "createdAt": "2026-03-25 09:15:00",
    "linkName": "Invoice payment",
    "linkUrl": "https://app.example.com/pay/PLK_ABC123456",
    "amount": 5000,
    "status": "Active",
    "narration": "Payment for March invoice",
    "businessState": "live",
    "reference": "PLK_ABC123456",
    "sourceReference": "SRC_PLK_001",
    "feeBearer": "MERCHANT"
  }
}
Empty
Empty

How is this guide?